Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.www
Class AllocateServerSocketServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.pentaho.di.www.AllocateServerSocketServlet

All Implemented Interfaces:
  Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class AllocateServerSocketServlet

extends javax.servlet.http.HttpServlet

This servlet allows a client (TransSplitter in our case) to ask for a port number.
This port number will be allocated in such a way that the port number is unique for a given hostname.
This in turn will ensure that all the slaves will use valid port numbers, even if multiple slaves run on the same host.

Author:
  matt
See Also:
  Serialized Form

Field Summary
`static String` | `CONTEXT_PATH`
`static String` | `PARAM_HOSTNAME`
`static String` | `PARAM_RANGE_START`
`static String` | `PARAM_SOURCE_SLAVE`
`static String` | `PARAM_SOURCE_STEPCOPY`
`static String` | `PARAM_SOURCE_STEPNAME`
`static String` | `PARAM_TARGET_SLAVE`
`static String` | `PARAM_TARGET_STEPCOPY`
`static String` | `PARAM_TARGET_STEPNAME`
`static String` | `PARAM_TRANSFORMATION_NAME`
`static String` | `XML_TAG_PORT`

Constructor Summary
`AllocateServerSocketServlet(TransformationMap transformationMap)`

Method Summary
`String` | `toString()`

Methods inherited from class javax.servlet.http.HttpServlet
`service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CONTEXT_PATH

    public static final String CONTEXT_PATH

See Also:
  Constant Field Values

### PARAM_RANGE_START

    public static final String PARAM_RANGE_START

See Also:
  Constant Field Values

### PARAM_HOSTNAME

    public static final String PARAM_HOSTNAME

See Also:
  Constant Field Values

### PARAM_TRANSFORMATION_NAME

    public static final String PARAM_TRANSFORMATION_NAME

See Also:
  Constant Field Values

### PARAM_SOURCE_SLAVE

    public static final String PARAM_SOURCE_SLAVE

See Also:
  Constant Field Values

### PARAM_SOURCE_STEPNAME

    public static final String PARAM_SOURCE_STEPNAME

See Also:
  Constant Field Values

### PARAM_SOURCE_STEPCOPY

    public static final String PARAM_SOURCE_STEPCOPY

See Also:
  Constant Field Values

### PARAM_TARGET_SLAVE

    public static final String PARAM_TARGET_SLAVE

See Also:
  Constant Field Values

### PARAM_TARGET_STEPNAME

    public static final String PARAM_TARGET_STEPNAME

See Also:
  Constant Field Values

### PARAM_TARGET_STEPCOPY

    public static final String PARAM_TARGET_STEPCOPY

See Also:
  Constant Field Values

### XML_TAG_PORT

    public static final String XML_TAG_PORT

See Also:
  Constant Field Values

Constructor Detail

### AllocateServerSocketServlet

    public AllocateServerSocketServlet(TransformationMap transformationMap)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD